#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidDatasetRid {
    #[serde(rename = "datasetRid")]
    dataset_rid: conjure_object::ResourceIdentifier,
}
impl InvalidDatasetRid {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(dataset_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().dataset_rid(dataset_rid).build()
    }
    #[inline]
    pub fn dataset_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.dataset_rid
    }
}
impl conjure_error::ErrorType for InvalidDatasetRid {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:InvalidDatasetRid"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["datasetRid"]
    }
}
